# SpongeCommandExecutionContext (ACF (Sponge) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: SpongeCommandExecutionContext

Package co.aikar.commands

# Class SpongeCommandExecutionContext

java.lang.Object
co.aikar.commands.CommandExecutionContext<SpongeCommandExecutionContext,SpongeCommandIssuer>
co.aikar.commands.SpongeCommandExecutionContext

public class SpongeCommandExecutionContext extends co.aikar.commands.CommandExecutionContext<SpongeCommandExecutionContext,SpongeCommandIssuer>

## Field Summary

### Fields inherited from class co.aikar.commands.CommandExecutionContext

`issuer`

## Method Summary

Modifier and Type
Method
Description
`org.spongepowered.api.entity.living.player.Player`
`getPlayer()`
`org.spongepowered.api.command.CommandSource`
`getSource()`

### Methods inherited from class co.aikar.commands.CommandExecutionContext

`canOverridePlayerContext, getAnnotation, getAnnotationValue, getAnnotationValue, getArgs, getBooleanFlagValue, getBooleanFlagValue, getCmd, getDoubleFlagValue, getFirstArg, getFlags, getFlagValue, getFlagValue, getFlagValue, getFlagValue, getFlagValue, getFlagValue, getFloatFlagValue, getIndex, getIntFlagValue, getIssuer, getLastArg, getLongFlagValue, getNumParams, getParam, getParameterPermissions, getPassedArgs, getResolvedArg, getResolvedArg, getResolvedArg, hasAnnotation, hasFlag, isLastArg, isOptional, joinArgs, joinArgs, popFirstArg, popLastArg`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getSource

public org.spongepowered.api.command.CommandSource getSource()

### getPlayer

public org.spongepowered.api.entity.living.player.Player getPlayer()